Name: comedilib
Summary: Data Acquisition library for the Comedi DAQ driver.
Version: 0.12.0
Release: 1%{?dist}
License: LGPL
Group: System Environment/Kernel
URL: http://www.comedi.org/
Source: http://www.comedi.org/comedi/download/comedilib-0.12.0.tar.gz
BuildRoot: /var/tmp/%{name}-buildroot
BuildRequires: python-devel swig
Provides: comedilib

%description
Comedilib is the library for the Comedi data acquisition driver
for Linux.  It allows Linux processes to acquire data from
supported DAQ cards, such as those from National Instruments.

%package devel
Summary: Libraries/include files for Comedi
Group: Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description devel
Comedilib is a library for using Comedi, a driver interface for data
acquisition hardware.

%prep
%setup -q

%build
%configure
make %{?_smp_mflags}

%install
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT
%makeinstall

# Move files
mv $RPM_BUILD_ROOT%{_datadir}/doc/comedilib $RPM_BUILD_ROOT%{_datadir}/doc/comedilib-devel

rm -rf $RPM_BUILD_ROOT%{_sysconfdir}/pcmcia
rm -rf $RPM_BUILD_ROOT%{_libdir}/libcomedi.la

%post
/sbin/ldconfig

%postun
/sbin/ldconfig

%clean
[ -n "$RPM_BUILD_ROOT" -a "$RPM_BUILD_ROOT" != / ] && rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS COPYING README ChangeLog NEWS
%{_libdir}/libcomedi.so
%{_libdir}/libcomedi.so.*
%{_sbindir}/comedi_*
%{_bindir}/comedi_*
%{_mandir}/man1/*
%{_mandir}/man7/*
%{_mandir}/man8/*

%files devel
%defattr(-,root,root,-)
%{_libdir}/libcomedi.a
%{_libdir}/pkgconfig/comedilib.pc

%{_includedir}/comedi*.h
%{_includedir}/comedi*.hpp
%{_mandir}/man3/*
%{_datadir}/doc/comedilib-devel/*

%changelog

* Wed Mar 28 2018 Steffen Vogel <post@steffenvogel.de>
- fixed spec file for Fedora 27

* Mon Jun 03 2002 David Schleef <ds@schleef.org>
- update for new build system

* Thu Feb 21 2002 Tim Ousley <tim.ousley@ni.com>
- initial build of comedilib RPM

